/* -*- Mode: C; tab-width: 3; indent-tabs-mode: nil; c-basic-offset: 3 -*- */

/*
 * GImageView
 * Copyright (C) 2001-2002 Takuro Ashie
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * $Id: imgwin_fullscreen.h,v 1.2 2002/10/02 19:05:02 makeinu Exp $
 */

#ifndef __IMGWIN_FULLSCREEN_H__
#define __IMGWIN_FULLSCREEN_H__

#include "image_window.h"

#define IMGWIN_FULLSCREEN_HIDE_CURSOR_DELAY 1000

void imgwin_fullscreen_new    (ImageWindow *iw);
void imgwin_fullscreen_delete (ImageWindow *iw);

#endif /* __IMGWIN_FULLSCREEN_H__ */
